ZMQSocket::getSocketType
ZMQSocket::isPersistent
ZMQSocket
PHP Manual

# ZMQSocket::getSockOpt

Get socket option

### Description

public mixed ZMQSocket::getSockOpt ( string `$key` )

Returns the value of a socket option.

### Parameters

`key`

  An integer representing the option. See the `ZMQ::SOCKOPT_*` constants.

### Return Values

Returns either a string or an integer depending on `key`. Throws ZMQSocketException on error.